<?php
if ( !eregi("admin.php", $PHP_SELF) ) {
	die("Access Denied"); 
}

//include(XOOPS_ROOT_PATH."/themes/".$theme."/theme.php");
if(!isset($dirname) || $dirname == ""){
	$dirname = "admin/version";
}
if ( is_numeric($mid) ) {
	$versioninfo = new XoopsModule($mid);
} else {
	$versioninfo = new XoopsModule();
	$versioninfo->loadModInfo($mid);
}

//$css = getCss($theme);
echo "<html>\n<head>\n";
echo "<title>".$xoopsConfig['sitename']."</title>\n";
echo "<meta http-equiv=\"Content-Type\" content=\"text/html; charset="._CHARSET."\"></meta>\n";

?>
<script language="JavaScript1.1">
<!--
scrollID=0;
vPos=0;

function onWard() {
   vPos+=2;
   window.scroll(0,vPos);
   vPos%=1000;
   scrollID=setTimeout("onWard()",30);
   }
function stop(){
   clearTimeout(scrollID);
}
//-->
</script>
<?php
/*
if($css){
   	echo "<link rel=\"stylesheet\" href=\"".$css."\" type=\"text/css\">\n\n";
}
*/
echo "</head>\n";
echo "<body onLoad=\"if(window.scroll)onWard()\" onmouseover=\"stop()\" onmouseout=\"if(window.scroll)onWard()\">\n";
echo "<div align=\"center\">";
echo "<table width=\"100%\"><tr><td align=\"center\">";
echo "<br /><br /><br /><br /><br />";
echo "<img src=\"".XOOPS_URL."/modules/".$versioninfo->dirname()."/".$versioninfo->image()."\" border=\"0\" /><br />";
echo "<big><b>".$versioninfo->name()."</b></big>";

echo "<br /><br />";
echo "<u>Version</u><br />";
echo $versioninfo->currentVersion();

echo "<br /><br />";
echo "<u>Description</u><br />";
echo $versioninfo->description();

echo "<br /><br />";
echo "<u>Author</u><br />";
echo $versioninfo->author();

echo "<br /><br />";
echo "<u>Credits</u><br />";
echo $versioninfo->credits();

echo "<br /><br />";
echo "<u>License</u><br />";
echo $versioninfo->license();

echo "<br /><br /><br /><br /><br />";
echo "<br /><br /><br /><br /><br />";
echo "<a href=\"javascript:window.close();\">Close</a>";
echo "<br /><br /><br /><br /><br /><br />";
echo "</td></tr></table></div>";
echo "</body></html>";
?>